Subject: Re: COPYING tabs vs whitespaces

From: Petr Stodulka <[email-masked]>
Date: Mon, 8 Feb 2016 10:24:30 +0100

On 4.2.2016 20:15, Junio C Hamano wrote:
> Petr Stodulka <[email-masked]> writes:
> 
>> I found that license file COPYING is different as compared with
>> http://www.gnu.org/licenses/gpl-2.0.txt If I pass over with
>> Linus's preamble, change is only about whitespaces - tabs
>> vs. space.  Probably it's minor non-essential change, but some
>> projects do this change, so rather I ask about that.
> 
> Interesting.  I cannot quite connect "some projects do this change"
> and "so rather I ask".  Are you asking why this project changed it?

Nope. I apologize for my czenglish. It means: From my colleagues I hear,
that some projects had same differences (tabs vs. spaces) in their copy
of the license file and they make it later equivalent with the one in
gnu.org. So I ask rather here / point out this difference, if you know
about that or you want to have same one.

Yes, I know, it's just about whitespaces.

Petr.

> 
> After running "diff" between the two, I think the changes are only
> on the indented section title lines, and "git blame" tells us that
> the section title lines in the copy we have has always been that way
> since Linus added to it at 075b845a (Add a COPYING notice, making it
> explicit that the license is GPLv2., 2005-04-11).
> 
> So, perhaps the copy Linus got originally had leading runs of spaces
> that are multiples-of-8-long unexpanded to leading tabs back then,
> or perhaps he did that unexpanding himself.
> 
>